Subject: RE: [Diffserv] Question on RSVP DiffServ

From: [email-masked]
Date: Tue, 26 Mar 2002 09:54:31 -0500

Abdul,

> I have a clarification regarding the use of RSVP for DiffServ:
> 
> The rfcs 2996 and 2998 talk about the usage of RSVP in mapping IntServ
over
> DiffServ networks. One of the approaches is based on the BRs of the
DiffServ
> domain being able to understand RSVP messages and add DCLASS
object(eggress
> BR) in the RESV message (after mapping the InServ service to DiffServ
> PHB(s)).
> 
> My doubt is, can't we use this approach for a pure DiffServ network where
we
> could add an object similar to the DCLASS object in the PATH  message that
> would allow us to signal reservations for a particular PSC or a set of
PSCs.
> 
> May be this could be done as a result of the negotiation of a 
> Pipe SLA.

This sort of approach could be used, but the DCLASS object is somewhat
problematic for this purpose.  The next paragraph touches on the issue:

> Each DS domain can apply their local remarking if the DSCP values used in
> the neighboring domains are known before hand. This could improve the
> predictability and also avoid over provisioning and other problems that we
> face with static provisioning.

The issue with the DCLASS object is that the meaning of a DSCP value
is specific to each diffserv domain.  The DCLASS object assumes RSVP's
hop by hop processing model, and specifically that if it crosses a
diffserv domain boundary, the relevant diffserv edge nodes will process
the RSVP messages modifying the DSCP(s) in the DCLASS object as necessary.
If this is not done, it's easy to get confused about which diffserv
domain should be used to interpret the contents of a DCLASS object.
FWIW, the scenario that motivated the specification of the DCLASS object
has exactly one diffserv domain, making this confusion impossible.

One can expect that some of the diffserv edge nodes will be rather busy
doing other things (e.g., traffic forwarding, routing updates) and won't
want to handle RSVP.  The preferred approach for signaling diffserv QoS
across diffserv domain boundaries is to use PHBIDs as defined in RFC 3140,
and that definition has been carefully worded so that it could be used to
signal IP Precedence if that were desired.  PHBID-based signaling could
run among QoS managers in different diffserv domains without worrying about
domain boundary crossings making a hash of interpreting the DSCP values.

> Please pardon me if this has been already discussed or sounds too silly
for
> wasting any time on.

It makes some sense to me - a good step would be to write a draft for
an RSVP object to carry one or more PHBIDs and see how much
interest there is in implementing and using it.

Thanks,
--David
---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 249-6449 *NEW*      FAX: +1 (508) 497-8500
[email-masked]         Cell: +1 (978) 394-7754
---------------------------------------------------

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: "Abdul Malick" <[email-masked]>
Date: Tue, 26 Mar 2002 21:20:47 +0530

Hello David,
Thanks a tonn for your response.

I had already considered interdomain DSCP compatibility and hence mentioned
that we can use PSC (instead of DSCP). Thanks for the reference to the exact
rfc (PHBID). Also i had given DCLASS only as an example. I am sure we have
to device some new object that can be put into the PATH message.

Actually i am concerned about the inherent overhead that RSVP would
introduce in the core with this approach. But since RSVP has already been
accepted for MPLS in core, i hope its OK.

I will wait for further responses and propose a draft, if this idea is
welcomed.

Thanks and Regards,
Malick.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of [email-masked]
Sent: Tuesday, 26 March 2002 8:25 PM
To: [email-masked]; [email-masked]
Subject: RE: [Diffserv] Question on RSVP DiffServ

Abdul,

over
DiffServ
object(eggress
we
PSCs.

for

Thanks,
--David

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive:
http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.ht
ml

***************************************************************************
This message is proprietary to Future Software Limited (FSL) 
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information 
and should not be circulated or used for any purpose other than for 
what it is intended. 

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. 
FSL accepts no responsibility for loss or damage arising from 
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 27 Mar 2002 10:22:48 +0100

This discussion seems more relevant to ISSLL or NSIS.
We are not (and will not be) chartered to discuss signalling
issues in diffserv.

    Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 
On assignment at the IBM Zurich Laboratory, Switzerland
Board Chairman, Internet Society http://www.isoc.org